[arch-commits] Commit in gcr/repos (3 files)

Jan Steffens heftig at gemini.archlinux.org
Tue Nov 2 22:45:47 UTC 2021


    Date: Tuesday, November 2, 2021 @ 22:45:47
  Author: heftig
Revision: 427009

archrelease: copy trunk to gnome-unstable-x86_64

Added:
  gcr/repos/gnome-unstable-x86_64/
  gcr/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 427008, gcr/trunk/PKGBUILD)
  gcr/repos/gnome-unstable-x86_64/gcr.install
    (from rev 427008, gcr/trunk/gcr.install)

-------------+
 PKGBUILD    |   50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 gcr.install |   20 ++++++++++++++++++++
 2 files changed, 70 insertions(+)

Copied: gcr/repos/gnome-unstable-x86_64/PKGBUILD (from rev 427008, gcr/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2021-11-02 22:45:47 UTC (rev 427009)
@@ -0,0 +1,50 @@
+# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.41.0
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+url="https://gitlab.gnome.org/GNOME/gcr"
+arch=(x86_64)
+license=(GPL2)
+depends=(gtk3 libgcrypt p11-kit openssh libsecret)
+makedepends=(gobject-introspection vala libxslt git gtk-doc meson)
+provides=(libgck-1.so libgcr-{base,ui}-3.so)
+_commit=f5026a8c9c7d78372b3efeca3412b0e40011ce11  # tags/3.41.0^0
+backup=(etc/security/limits.d/10-gcr.conf)
+install=gcr.install
+source=("git+https://gitlab.gnome.org/GNOME/gcr.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd gcr
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd gcr
+}
+
+build() {
+  arch-meson gcr build
+  meson compile -C build
+}
+
+check() {
+  # Secure memory tests fail
+  dbus-run-session meson test -C build --print-errorlogs || :
+}
+
+package() {
+  meson install -C build --destdir "$pkgdir"
+
+  # gcr wants to lock some memory to prevent swapping out private keys
+  # https://bugs.archlinux.org/task/32616
+  # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+  install -Dm644 /dev/stdin "$pkgdir/etc/security/limits.d/10-gcr.conf" <<END
+ at users - memlock 1024
+END
+}
+
+# vim:set ts=2 sw=2 et:

Copied: gcr/repos/gnome-unstable-x86_64/gcr.install (from rev 427008, gcr/trunk/gcr.install)
===================================================================
--- gnome-unstable-x86_64/gcr.install	                        (rev 0)
+++ gnome-unstable-x86_64/gcr.install	2021-11-02 22:45:47 UTC (rev 427009)
@@ -0,0 +1,20 @@
+post_install() {
+  # Enable socket by default
+  systemctl --global enable gcr-ssh-agent.socket
+
+  cat <<END
+>>> gcr contains /etc/security/limits.d/10-gcr.conf which sets the memlock limit
+    in order to allow GCR to lock private keys in memory. If you have configured
+    this limit differently before, please review your configuration.
+END
+}
+
+post_upgrade() {
+  if (( $(vercmp $2 3.41.0-1) < 0)); then
+    systemctl --global enable gcr-ssh-agent.socket
+  fi
+}
+
+pre_remove() {
+  systemctl --global disable gcr-ssh-agent.socket
+}



More information about the arch-commits mailing list